<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework-Hamburger</title>

</head>
<body>

</body>
<script>
    const Big_Size = {
        name:'Big_Size',
        price: 100,
        calories: 40
    };
    const Small_Size = {
        name:'Small_Size',
        price: 50,
        calories: 20
    };
    const Topping_Mayo = {
        name:'Topping_Mayo',
        price: 20,
        calories: 5
    };
    const adding_cheese = {
        name: 'cheese',
        price: 10,
        calories: 20
    };
    const adding_salade = {
        name: 'salade',
        price: 20,
        calories: 5
    };
    const adding_potato = {
        name: 'potato',
        price: 15,
        calories: 10
    };

    function Hamburger(options) {
        options = options || {};
        this.size = options.size;
        this.adding = options.adding || [];
        this.topping = options.topping || [];

        if (options.size === !Big_Size || options.size === !Small_Size) {
            throw console.log('Error! Invalid size');
        }
        if (this.adding !== undefined && (!this.adding.includes(adding_potato) && !this.adding.includes(adding_cheese) && !this.adding.includes(adding_salade))) {
            throw console.log('Error! This adding is not find');
        }
    }

    Hamburger.prototype.addTopping = function(topping) {
        this.topping.push(topping);
    };
    Hamburger.prototype.addAdding = function(adding) {
        this.adding.push(adding);
    };

    Hamburger.prototype.countPrice = function() {
        let sum = 0;
        for (let i = 0; i < this.topping.length; i++) {
            sum += this.topping[i].price;
        }
        let sum1 = 0;
        for (let i = 0; i < this.adding.length; i++) {
            sum1 += this.adding[i].price;
        }
        return this.size.price + sum + sum1;
    };

    Hamburger.prototype.countCalories = function() {
        let sum = 0;
        for (let i = 0; i < this.topping.length; i++) {
            sum += this.topping[i].calories;
        }
        let sum1 = 0;
        for (let i = 0; i < this.adding.length; i++) {
            sum1 += this.adding[i].calories;
        }
        return this.size.calories + sum + sum1;
    };

    hamburger = new Hamburger({
        size: Big_Size,
        adding: [adding_cheese, adding_salade, adding_potato],
        topping: [Topping_Mayo]
    });

    hamburger2 = new Hamburger({
        size:Small_Size,
        adding: [adding_potato, adding_salade, adding_cheese],
        topping: [Topping_Mayo]

    });

    console.log(hamburger);
    console.log('Price', hamburger.countPrice());
    console.log('Calories', hamburger.countCalories());


    console.log(hamburger2);
    console.log('Price', hamburger2.countPrice());
    console.log('Calories', hamburger2.countCalories());

</script>
</html>

